## java-package 0.52

=== debian/changelog ===
java-package (0.52) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Team upload
  * Upload to unstable
  * Ack the NMU of David Prévot (thanks!)
  * Standards-Version updated to version 3.9.4
  * Remove obsolete variable from the changelog
  * Add support of ARM upstream binary by James Page and Matthias Vill.
    Thanks guys! (Closes: #687375)
  * Change the installation path from
    /usr/lib/jvm/jdk-6.38-oracle-x64 or /usr/lib/jvm/jdk-7.10-oracle-x64
    to
    /usr/lib/jvm/jdk-6-oracle-x64 and /usr/lib/jvm/jdk-7-oracle-x64
    Thanks to Constantin Makshin for the patch (Closes: #696227)

  [ Cédric Pineau ]
  * Fix lintian errors and warnings

  [ Gabriele Giacone ]
  * Add {mozilla,firefox}-javaplugin.so for update-java-alternatives.
  * Fix plugin directories. Closes: #686216

  [ Emmanuel Bourg ]
  * Switched to the 3.0 (native) package format
  * debian/control: Use canonical URLs for the Vcs-* fields
  * debian/copyright: Switched to the Machine-readable format 1.0
  * Updated the manpages to reflect the latest naming changes
  * Removed the unused provided dependencies (j2sdk<version>, j2re<version>)
  * Provide the java<version-1>-runtime and java<version-2>-runtime dependencies
    (Closes: #691063)
  * Provide the java<version>-sdk dependencies to match the openjdk package
  * Use the upstream versioning scheme (i.e 7u13 instead of 7.13)
    to match the convention used by the new openjdk packages
  * Renamed the script files (j2sdk->jdk, j2re->jre, j2se->javase)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Jun 2013 13:43:55 +0200

java-package (0.51~exp1) experimental; urgency=low

  * Add firefox-javaplugin.so alternative Closes: #673670 and LP: #1024368
  * Add java5 and 6-{runtime|sdk|...} to the provides line in generated packages Closes: #684993 and LP: #995655
  * Drop installation debconf note Closes: #685082
  * Correct handling of amd64 in oracle-jdk6.1->4 and improve error message when used with unknown archives
  * Add support for earlier oracle-jdk6 version

  [Emmanuel Bourg]
  * Improved detection of the JRE/JDK version (supports 2 digits Java 7 updates) Closes: #597294
  * Brand and naming cleanup
  * Documentation directory changed to be /usr/share/doc/oracle-javaV-doc (for oracle)

  [Joerg Schirottke]
  * Add mozilla-javaplugin.so alternative

 -- Cédric Pineau <cedric.pineau@gmail.com>  Sat, 18 Aug 2012 11:00:34 +0200

=== debian/control ===
Source: java-package
Section: contrib/misc
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-java/java-package.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/java-package.git

Package: java-package
Architecture: all
Depends: ${misc:Depends}, debhelper, fakeroot, unzip, libx11-6, libasound2
Recommends: dpkg-dev, gcc
Suggests: openjdk-6-jre, openjdk-7-jre
Description: Utility for creating Java Debian packages
 This package provides the capability to build a Debian package from
 a Java binary distribution by running make-jpkg <java binary archive file>.
 (with archive files downloaded from providers listed below)
 .
 Supported java binary distributions currently include:
   * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
     - The J2SE Development Kit (JDK), version 6 and 7
     - The J2SE Runtime Environment (JRE), version 6 and 7
     - The J2SE API Javadoc, version 6 and 7
 (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
 .
 Please note that Debian recommends the use of openjdk-6-jdk/openjdk-6-jre
 or openjdk-7-jdk/openjdk-7-jre. java-package will install non-free packages.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for java-package

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Extract source package version number from changelog
VERSION := $(shell head -n 1 $(CURDIR)/debian/changelog | sed 's/.*(//;s/).*//')
B := $(CURDIR)/debian/java-package

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	sed s/@VERSION@/$(VERSION)/ make-jpkg > make-jpkg.out
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp SUPPORTED make-jpkg.out debian/semantic.cache
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m 755 make-jpkg.out $(B)/usr/bin/make-jpkg
	cp lib/*.sh $(B)/usr/share/java-package/
	find $(B) -type d -name .svn | xargs -r rm -r

# Generate SUPPORTED
	echo "java-package currently supports the following binary packages:" > SUPPORTED
	echo >> SUPPORTED
	echo "(This list is automatically generated, do not edit)" >> SUPPORTED
	echo >> SUPPORTED
	grep -h "SUPPORTED$$" $(wildcard $(CURDIR)/lib/*-*.sh) | sed 's/"//g;s/).*//' >> SUPPORTED

	dh_install

binary: binary-indep

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman make-jpkg.1
	dh_link
#	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary install

## java-package 0.53~bpo70+1

=== debian/changelog ===
java-package (0.53~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports

 -- Adnan Hodzic <adnan@foolcontrol.org>  Tue, 22 Oct 2013 14:36:15 +0200

java-package (0.53) unstable; urgency=low

  * Team upload.
  * Added support for early access releases (Closes: #721136)
  * Added support for GA and FCS releases
  * Excluded the fxavcodecplugin libraries used by JavaFX from the dependency
    calculation performed by dh_shlibdeps to avoid errors (Closes: #687075)
  * Updated the package description and debian/README.Debian:
    - no longer recommend openjdk-6
    - mention the compatibility with Java 8
  * Removed 'Replaces: ${j2se_package}debian' from the generated control file
  * Adjusted the disk space required to unpack the Java 8 documentation
  * Updated the manpages for Java 8
  * Updated debhelper level to 7
  * debian/rules: Use dh_prep instead of dh_clean -k
  * Removed the recommended dependency on libstdc++5 from the generated
    control file (used by the now unsupported IBM JDK 5)
  * Removed the recommended dependency on libgtk1.2 from the generated
    control file (removed from Squeeze)
  * Removed the recommended dependency on libx11-6 and libasound2 from
    the generated control file (these dependencies are already injected
    by dh_shlibdeps)
  * Removed the references to "Java 2" from the description of the generated
    JRE package
  * Changed the short description of the generate packages to match
    the official name

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Sep 2013 14:42:43 +0200

## java-package 0.53

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 7)
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-java/java-package.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/java-package.git
@@ -20,10 +20,10 @@
  .
  Supported java binary distributions currently include:
    * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
-     - The J2SE Development Kit (JDK), version 6 and 7
-     - The J2SE Runtime Environment (JRE), version 6 and 7
-     - The J2SE API Javadoc, version 6 and 7
+     - The Java Development Kit (JDK), version 6, 7 and 8
+     - The Java Runtime Environment (JRE), version 6, 7 and 8
+     - The Java API Javadoc, version 6, 7 and 8
  (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
  .
- Please note that Debian recommends the use of openjdk-6-jdk/openjdk-6-jre
- or openjdk-7-jdk/openjdk-7-jre. java-package will install non-free packages.
+ Please note that Debian recommends the use of openjdk-7-jdk/openjdk-7-jre.
+ java-package will install non-free packages.

## java-package 0.56

=== debian/changelog ===
java-package (0.56) unstable; urgency=medium

  * Team upload.
  * Do not Build-Depends libavcodec53 and libavformat53 for Java 8.
    Thanks to Chris Jester-Young for the patch. (Closes: #751974)
  * Set the urcency of the guest package to medium.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 20 Jun 2014 11:10:45 +0200

java-package (0.55) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Add lsb-release to Depends (used in make-jpkg).
  * Apply patch to honor --revision argument.
    Thanks to Alberto Caso Palomino. (Closes: #743919)

  [ Emmanuel Bourg ]
  * Bumped the Standards-Version of the generated package to 3.9.5
  * Use debhelper level 9 in the generated package

  [ Benjamin Drung ]
  * Add a debian/rules file to the generated source package.
  * Use dpkg-buildpackage to build the guest package.
  * Add ${misc:Depends} to the guest dependency.
  * Add --source option to build a source package instead of a binary deb
    package. (Closes: #745762)
  * Replace lsb_release call by dpkg-vendor call.
  * Convert copyright file content to UTF-8 for guest debian/copyright.
  * Remove trailing spaces from copyright file.
  * Create build depends for JDK guest package.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 17 Jun 2014 20:41:39 +0200

java-package (0.54) unstable; urgency=medium

  * Team upload.
  * Added support for ARM VFP/hard-float JDK releases.
    Thanks to Christopher Huhn <C.Huhn@gsi.de> (Closes: #724455)
  * Added more command line tool alternatives: jcmd, jdeps, jhat, jrunscript,
    schemagen, wsgen, wsimport and xjc
  * Standards-Version updated to 3.9.5 (no changes)
  * Removed the suggested dependency on openjdk-6-jre
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Mar 2014 18:44:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,22 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-java/java-package.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/java-package.git
 
 Package: java-package
 Architecture: all
-Depends: ${misc:Depends}, debhelper, fakeroot, unzip, libx11-6, libasound2
-Recommends: dpkg-dev, gcc
-Suggests: openjdk-6-jre, openjdk-7-jre
+Depends: debhelper (>= 9),
+         dpkg-dev,
+         fakeroot,
+         libasound2,
+         libx11-6,
+         unzip,
+         ${misc:Depends}
+Recommends: gcc
+Suggests: openjdk-7-jre
 Description: Utility for creating Java Debian packages
  This package provides the capability to build a Debian package from
  a Java binary distribution by running make-jpkg <java binary archive file>.

## java-package 0.59

=== debian/changelog ===
java-package (0.59) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add following dependencies to address build failures for dpkg-shlibdeps
    errors during make-jpkg of JDK/JRE:
    libgl1-mesa-glx libfontconfig1 libxslt1.1 libxtst6 libxxf86vm1 libgtk2.0-0
    (Closes: #782132)

 -- tony mancill <tmancill@debian.org>  Sat, 16 May 2015 13:46:27 -0700

java-package (0.58) experimental; urgency=medium

  [ Francesc Zacarias ]
  * New --with-system-certs option to use the system keystore (Closes: #776395)

  [ Emmanuel Bourg ]
  * Removed the generated package mistakenly included in the source package
    (Closes: #779727)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 Mar 2015 00:09:05 +0100

java-package (0.57) experimental; urgency=medium

  * Team upload.
  * Include Java 8 in the help message of make-jpkg (Closes: #775977)
  * Provide all runtimes since Java 5, thanks to Laurens Blankers
    (Closes: #775987)
  * Added more command line tool alternatives: jmc and jvisualvm
    (Closes: #676877)
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 25 Jan 2015 00:02:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/java-package.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/java-package.git
 
@@ -14,7 +14,13 @@
          dpkg-dev,
          fakeroot,
          libasound2,
+         libfontconfig1,
+         libgl1-mesa-glx,
+         libgtk2.0-0,
          libx11-6,
+         libxslt1.1,
+         libxtst6,
+         libxxf86vm1,
          unzip,
          ${misc:Depends}
 Recommends: gcc

## java-package 0.61

=== debian/changelog ===
java-package (0.61) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.7 (no changes)
  * Use package name plus architecture as directory in /usr/lib/jvm
  * Add support for server JRE (Closes: #776389)
  * Update Vcs-Browser and Vcs-Git to use HTTPS

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 18 Mar 2016 17:50:51 +0100

java-package (0.60) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Added jcontrol to the command line alternatives (Closes: #799370)
  * Fixed the detection of the latest Java 8 documentation archives.
  * Fixed the dh_shlibdeps error when generating a documentation package
    (Closes: #753071)
  * Changed the architecture of the documentation packages from any to all.
  * Changed the section of the documentation packages to non-free/doc
  * Disabled dh_strip_nondeterminism when generating the Java packages
    to speed up the build

  [ tony mancill ]
  * Update the package long description.
  * Add build-essential as a dependency and drop the (now redundant)
    recommends on gcc. (Closes: #787809)
  * Use du --apparent-size when checking the size of the unpacked
    distribution. (Closes: #794401)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Nov 2015 14:23:05 +0100

=== debian/control ===
Source: java-package
Section: contrib/misc
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-java/java-package.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/java-package.git

Package: java-package
Architecture: all
Depends: debhelper (>= 9),
         build-essential,
         dpkg-dev,
         fakeroot,
         libasound2,
         libfontconfig1,
         libgl1-mesa-glx,
         libgtk2.0-0,
         libx11-6,
         libxslt1.1,
         libxtst6,
         libxxf86vm1,
         unzip,
         ${misc:Depends}
Suggests: openjdk-7-jre
Description: Utility for creating Java Debian packages
 This package provides the capability to build a Debian package from
 a Java binary distribution by running make-jpkg <java binary archive file>.
 (with archive files downloaded from providers listed below)
 .
 Supported java binary distributions currently include:
   * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
     - The Java Development Kit (JDK), version 6, 7 and 8
     - The Java Runtime Environment (JRE), version 6, 7 and 8
     - The Java API Javadoc, version 6, 7 and 8
 Choose tar.gz archives or self-extracting archives (_not_ RPM).
 .
 Please note that Debian recommends the use of openjdk-[78]-jdk and/or
 openjdk-[78]-jre, which are installed by default-jdk or default-jre for
 most architectures.
 .
 java-package will create non-free packages.

## java-package 0.62

=== Makefile ===
DESTDIR=

.PHONY: default
default: build

.PHONY: build
build:
	echo "java-package currently supports the following binary packages:" > SUPPORTED
	echo >> SUPPORTED
	echo "(This list is automatically generated, do not edit)" >> SUPPORTED
	echo >> SUPPORTED
	grep -h "SUPPORTED$$" $(wildcard lib/*-*.sh) | sed 's/"//g;s/).*//' >> SUPPORTED

.PHONY: clean
clean:
	rm -f SUPPORTED

.PHONY: install
install:
	install -d -m 755 $(DESTDIR)/usr/bin
	install -m 755 make-jpkg.out $(DESTDIR)/usr/bin/make-jpkg
	install -d -m 755 $(DESTDIR)/usr/share/man/man1
	install -m 644 make-jpkg.1 $(DESTDIR)/usr/share/man/man1/
	install -d -m 755 $(DESTDIR)/usr/share/java-package
	for file in lib/*.sh; do \
	    install -m 644 $$file $(DESTDIR)/usr/share/java-package/ ; \
	done

=== debian/changelog ===
java-package (0.62) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.8 (no changes)
  * Add --distribution option to override hard-coded value of unstable.
    Thank you to Martin Gerhard Loschwitz for the patch. (Closes: #819537)
  * Add --jce-policy <policy.zip> option to build with JCE policy file.
    Thank you to Alex Brown for the patch. (Closes: #833301)
  * Freshen the manpage example for JDK 8.
  * Implement --priority <priority> option. (Closes: #820857)
  * Bump Standards-Version of generated source package to 3.9.8.
  * Generated JDK/JRE packages now depend on java-common (Closes: #799974)

 -- tony mancill <tmancill@debian.org>  Sat, 10 Sep 2016 17:39:56 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/java-package.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/java-package.git

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	install -m 755 make-jpkg.out $(B)/usr/bin/make-jpkg
 	cp lib/*.sh $(B)/usr/share/java-package/

## java-package 0.63~uvt0

=== debian/changelog ===
java-package (0.63~uvt0) UNRELEASED; urgency=medium

  * Team upload.
  * Suggest openjdk-8-jre instead of openjdk-7-jre
  [ Joost van Baal-Ilić ]
  * lib/oracle-jdk9.sh, lib/oracle-jre9.sh, lib/oracle-server-jre9.sh:
    added in order to support for Oracle's Java 9.  Contributed by
    Constantin Makshin <cmakshin@gmail.com> on 8 Jan 2018 in
    https://bugs.debian.org/876426 , based upon previous work by Tim Van
    Holder <tim.vanholder@gmail.com>, Oct 2017.  (Closes: #876426)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 04 Jan 2017 16:07:59 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
          libxxf86vm1,
          unzip,
          ${misc:Depends}
-Suggests: openjdk-7-jre
+Suggests: openjdk-8-jre
 Description: Utility for creating Java Debian packages
  This package provides the capability to build a Debian package from
  a Java binary distribution by running make-jpkg <java binary archive file>.

## java-package 0.63

=== debian/changelog ===
java-package (0.63) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Removed support for the browser plugin (Closes: #779725)
  * Suggest openjdk-8-jre instead of openjdk-7-jre
  * Use salsa.debian.org Vcs-* URLs

  [ Sven Hoexter ]
  * Add override_dh_strip to disable striping the binaries.
    Breaks debugging tools like jmap. (Closes: #852342)

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ tony mancill ]
  * Replace dependency on libgl1-mesa-glx (Closes: #941808)
  * Add lintian override for debhelper dependency
  * Use dh sequencer in debian/rules
  * Use debhelper 12 for Build-Depends
  * Use dh sequencer in debian/rules
  * Bump Standards-Version to 4.4.1

 -- tony mancill <tmancill@debian.org>  Sun, 10 Sep 2023 08:32:31 -0700

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/java-package.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/java-package.git
+Build-Depends: debhelper (>= 12)
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/java-team/java-package.git
+Vcs-Browser: https://salsa.debian.org/java-team/java-package
 
 Package: java-package
 Architecture: all
-Depends: debhelper (>= 9),
+Depends: debhelper (>= 11),
          build-essential,
          dpkg-dev,
          fakeroot,
          libasound2,
          libfontconfig1,
-         libgl1-mesa-glx,
+         libgl1,
+         libglx-mesa0,
          libgtk2.0-0,
          libx11-6,
          libxslt1.1,

## java-package 0.64

=== debian/changelog ===
java-package (0.64) unstable; urgency=medium

  * Team upload.
  * Update java-package Depends for time64 transition (Closes: #1067929)

 -- tony mancill <tmancill@debian.org>  Sun, 07 Apr 2024 10:05:17 -0700

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
          build-essential,
          dpkg-dev,
          fakeroot,
-         libasound2,
+         libasound2t64,
          libfontconfig1,
          libgl1,
          libglx-mesa0,
-         libgtk2.0-0,
+         libgtk2.0-0t64,
          libx11-6,
          libxslt1.1,
          libxtst6,

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for java-package

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Extract source package version number from changelog
VERSION := $(shell head -n 1 $(CURDIR)/debian/changelog | sed 's/.*(//;s/).*//')
B := $(CURDIR)/debian/java-package

%:
	dh $@

override_dh_auto_build-indep:
	sed s/@VERSION@/$(VERSION)/ make-jpkg > make-jpkg.out
	dh_auto_build -i

override_dh_clean:
	rm -f build-stamp SUPPORTED make-jpkg.out debian/semantic.cache
	dh_clean

override_dh_auto_install-indep:
	install -m 755 make-jpkg.out $(B)/usr/bin/make-jpkg
	cp lib/*.sh $(B)/usr/share/java-package/
	find $(B) -type d -name .svn | xargs -r rm -r
	# Generate SUPPORTED
	echo "java-package currently supports the following binary packages:" > SUPPORTED
	echo >> SUPPORTED
	echo "(This list is automatically generated, do not edit)" >> SUPPORTED
	echo >> SUPPORTED
	grep -h "SUPPORTED$$" $(wildcard $(CURDIR)/lib/*-*.sh) | sed 's/"//g;s/).*//' >> SUPPORTED
	dh_auto_install -i

## java-package 0.64build1

=== debian/changelog ===
java-package (0.64build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 20:30:55 +0000
